## r-cran-smcfcs 1.6.0

=== DESCRIPTION ===
Package: smcfcs
Title: Multiple Imputation of Covariates by Substantive Model
        Compatible Fully Conditional Specification
Version: 1.6.0
Authors@R: c(person("Jonathan", "Bartlett", email = "j.w.bartlett@bath.ac.uk",role = c("aut", "cre")),
    person("Ruth", "Keogh", email = "ruth.keogh@lshtm.ac.uk",role = c("aut")),
    person("Edouard F.", "Bonneville",role = c("aut")),
    person("Claus Thorn", "Ekstrøm",role = c("ctb")))
URL: https://github.com/jwb133/smcfcs
Description: Implements multiple imputation of missing covariates by
    Substantive Model Compatible Fully Conditional Specification.
    This is a modification of the popular FCS/chained equations
    multiple imputation approach, and allows imputation of missing
    covariate values from models which are compatible with the user
    specified substantive model.
Depends: R (>= 3.1.2)
License: GPL-3
LazyData: true
Imports: MASS, survival, VGAM, stats, rlang, checkmate, abind
Suggests: knitr, rmarkdown, mitools, ggplot2
VignetteBuilder: knitr
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-06-17 16:06:57 UTC; Jonathan
Author: Jonathan Bartlett [aut, cre],
  Ruth Keogh [aut],
  Edouard F. Bonneville [aut],
  Claus Thorn Ekstrøm [ctb]
Maintainer: Jonathan Bartlett <j.w.bartlett@bath.ac.uk>
Repository: CRAN
Date/Publication: 2021-06-17 16:30:02 UTC

=== debian/changelog ===
r-cran-smcfcs (1.6.0-2) unstable; urgency=medium

  * Packaging update

 -- Andreas Tille <tille@debian.org>  Sun, 12 Dec 2021 15:14:51 +0100

r-cran-smcfcs (1.6.0-1) unstable; urgency=medium

  * Initial release (closes: #1001095)

 -- Andreas Tille <tille@debian.org>  Sat, 04 Dec 2021 10:38:44 +0100

=== debian/control ===
Source: r-cran-smcfcs
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-mass,
               r-cran-survival,
               r-cran-vgam,
               r-cran-rlang,
               r-cran-checkmate,
               r-cran-abind
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-smcfcs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-smcfcs.git
Homepage: https://cran.r-project.org/package=smcfcs
Rules-Requires-Root: no

Package: r-cran-smcfcs
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R multiple imputation of Covariates by substantive model
 Compatible Fully Conditional Specification Implements multiple
 imputation of missing covariates by Substantive Model Compatible Fully
 Conditional Specification. This is a modification of the popular
 FCS/chained equations multiple imputation approach, and allows
 imputation of missing covariate values from models which are compatible
 with the user specified substantive model.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mitools
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/smcfcs_([-\d.]*)\.tar\.gz

## r-cran-smcfcs 1.7.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: smcfcs
 Title: Multiple Imputation of Covariates by Substantive Model
         Compatible Fully Conditional Specification
-Version: 1.6.0
+Version: 1.7.0
 Authors@R: c(person("Jonathan", "Bartlett", email = "j.w.bartlett@bath.ac.uk",role = c("aut", "cre")),
     person("Ruth", "Keogh", email = "ruth.keogh@lshtm.ac.uk",role = c("aut")),
     person("Edouard F.", "Bonneville",role = c("aut")),
@@ -16,17 +16,17 @@
 Depends: R (>= 3.1.2)
 License: GPL-3
 LazyData: true
-Imports: MASS, survival, VGAM, stats, rlang, checkmate, abind
+Imports: MASS, survival, VGAM, stats, rlang, checkmate, abind, brglm2
 Suggests: knitr, rmarkdown, mitools, ggplot2
 VignetteBuilder: knitr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.0
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2021-06-17 16:06:57 UTC; Jonathan
+Packaged: 2022-06-22 09:20:22 UTC; jwb13
 Author: Jonathan Bartlett [aut, cre],
   Ruth Keogh [aut],
   Edouard F. Bonneville [aut],
   Claus Thorn Ekstrøm [ctb]
 Maintainer: Jonathan Bartlett <j.w.bartlett@bath.ac.uk>
 Repository: CRAN
-Date/Publication: 2021-06-17 16:30:02 UTC
+Date/Publication: 2022-06-22 09:50:02 UTC

=== debian/changelog ===
r-cran-smcfcs (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: r-cran-brglm2
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jul 2022 07:54:21 +0200

r-cran-smcfcs (1.6.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 11:39:43 +0200

r-cran-smcfcs (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * Adjust Test-Depends to Suggests in DESCRIPTION
  * Ignore one failing test

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 11:23:35 +0100

## r-cran-smcfcs 1.7.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smcfcs
 Title: Multiple Imputation of Covariates by Substantive Model
         Compatible Fully Conditional Specification
-Version: 1.7.0
-Authors@R: c(person("Jonathan", "Bartlett", email = "j.w.bartlett@bath.ac.uk",role = c("aut", "cre")),
+Version: 1.7.1
+Authors@R: c(person("Jonathan", "Bartlett", email = "jonathan.bartlett1@lshtm.ac.uk",role = c("aut", "cre")),
     person("Ruth", "Keogh", email = "ruth.keogh@lshtm.ac.uk",role = c("aut")),
     person("Edouard F.", "Bonneville",role = c("aut")),
     person("Claus Thorn", "Ekstrøm",role = c("ctb")))
@@ -19,14 +19,14 @@
 Imports: MASS, survival, VGAM, stats, rlang, checkmate, abind, brglm2
 Suggests: knitr, rmarkdown, mitools, ggplot2
 VignetteBuilder: knitr
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2022-06-22 09:20:22 UTC; jwb13
+Packaged: 2022-11-07 15:55:48 UTC; jwb13
 Author: Jonathan Bartlett [aut, cre],
   Ruth Keogh [aut],
   Edouard F. Bonneville [aut],
   Claus Thorn Ekstrøm [ctb]
-Maintainer: Jonathan Bartlett <j.w.bartlett@bath.ac.uk>
+Maintainer: Jonathan Bartlett <jonathan.bartlett1@lshtm.ac.uk>
 Repository: CRAN
-Date/Publication: 2022-06-22 09:50:02 UTC
+Date/Publication: 2022-11-07 17:10:02 UTC

=== debian/changelog ===
r-cran-smcfcs (1.7.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2022 14:42:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-smcfcs
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-smcfcs
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-smcfcs.git
+Homepage: https://cran.r-project.org/package=smcfcs
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -12,12 +16,9 @@
                r-cran-vgam,
                r-cran-rlang,
                r-cran-checkmate,
-               r-cran-abind
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-smcfcs
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-smcfcs.git
-Homepage: https://cran.r-project.org/package=smcfcs
-Rules-Requires-Root: no
+               r-cran-abind,
+               r-cran-brglm2
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-smcfcs
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
         r-cran-rmarkdown,
         r-cran-mitools,
         r-cran-ggplot2,
         r-cran-testthat,
Restrictions: allow-stderr

## r-cran-smcfcs 1.8.0+dfsg

=== debian/changelog ===
r-cran-smcfcs (1.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Remove patch that was removing on regression test, passing now.

 -- Charles Plessy <plessy@debian.org>  Wed, 07 Aug 2024 08:38:06 +0900

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-mitools,
        r-cran-ggplot2,
        r-cran-kmi
Restrictions: allow-stderr

## r-cran-smcfcs 1.9.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: smcfcs
 Title: Multiple Imputation of Covariates by Substantive Model
         Compatible Fully Conditional Specification
-Version: 1.7.1
+Version: 1.9.2
 Authors@R: c(person("Jonathan", "Bartlett", email = "jonathan.bartlett1@lshtm.ac.uk",role = c("aut", "cre")),
     person("Ruth", "Keogh", email = "ruth.keogh@lshtm.ac.uk",role = c("aut")),
     person("Edouard F.", "Bonneville",role = c("aut")),
@@ -17,16 +17,16 @@
 License: GPL-3
 LazyData: true
 Imports: MASS, survival, VGAM, stats, rlang, checkmate, abind, brglm2
-Suggests: knitr, rmarkdown, mitools, ggplot2
+Suggests: knitr, rmarkdown, mitools, ggplot2, kmi, flexsurv
 VignetteBuilder: knitr
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2022-11-07 15:55:48 UTC; jwb13
+Packaged: 2025-01-20 22:01:48 UTC; lshjb12
 Author: Jonathan Bartlett [aut, cre],
   Ruth Keogh [aut],
   Edouard F. Bonneville [aut],
   Claus Thorn Ekstrøm [ctb]
 Maintainer: Jonathan Bartlett <jonathan.bartlett1@lshtm.ac.uk>
 Repository: CRAN
-Date/Publication: 2022-11-07 17:10:02 UTC
+Date/Publication: 2025-01-21 00:10:02 UTC

=== debian/changelog ===
r-cran-smcfcs (1.9.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * The tests need r-cran-testthat installed.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 23 Jan 2025 09:32:42 +0100

r-cran-smcfcs (1.9.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 22 Jan 2025 10:13:37 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-smcfcs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-smcfcs.git
 Homepage: https://cran.r-project.org/package=smcfcs
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
--- 
+++ 
@@ -4,5 +4,6 @@
         r-cran-rmarkdown,
         r-cran-mitools,
         r-cran-ggplot2,
-        r-cran-kmi
+        r-cran-kmi,
+        r-cran-testthat
 Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/smcfcs_([-\d.]*)\.tar\.gz

## r-cran-smcfcs 2.0.1+dfsg

=== debian/changelog ===
r-cran-smcfcs (2.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Feb 2026 13:28:45 +0900

=== debian/control ===
Source: r-cran-smcfcs
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-mass,
 r-cran-survival,
 r-cran-vgam,
 r-cran-rlang,
 r-cran-checkmate,
 r-cran-abind,
 r-cran-brglm2,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-smcfcs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-smcfcs.git
Homepage: https://cran.r-project.org/package=smcfcs
Rules-Requires-Root: no

Package: r-cran-smcfcs
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R multiple imputation of Covariates by substantive model
 Compatible Fully Conditional Specification Implements multiple
 imputation of missing covariates by Substantive Model Compatible Fully
 Conditional Specification. This is a modification of the popular
 FCS/chained equations multiple imputation approach, and allows
 imputation of missing covariate values from models which are compatible
 with the user specified substantive model.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-mitools,
 r-cran-ggplot2,
 r-cran-kmi,
 r-cran-stringr,
 r-cran-testthat,
